Bug 89676 - 4.4.x: Bundled templates are not localizable
Summary: 4.4.x: Bundled templates are not localizable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0.2
Keywords:
Depends on: 114778
Blocks: Templates Not-Localizable
  Show dependency treegraph
 
Reported: 2015-02-26 09:00 UTC by Martin Srebotnjak
Modified: 2019-03-05 04:49 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
sample thumbnails (90.91 KB, image/png)
2016-10-19 15:51 UTC, Yousuf Philips (jay) (retired)
Details
Template names, not all localizable, one with error (124.22 KB, image/png)
2017-12-09 08:07 UTC, Martin Srebotnjak
Details
Text document templates' names, none localizable (63.80 KB, image/png)
2017-12-09 08:07 UTC, Martin Srebotnjak
Details
Template names in KeyID locale (242.92 KB, image/png)
2017-12-27 10:07 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2015-02-26 09:00:02 UTC
Since 4.4.0 LO is shipped with bundled templates.
This was done last minute and localizers warned these should be localized.
Due to time pressure it was promised they get into 4.4.0 and will be made localizable in the following versions of LO (i.e. 4.4.1 or 4.4.2 or ...).

As 4.4.1RC2 shows they are still not localizable.

I guess this bug should be made a blocker for either 4.4.2 or 4.4.3 by the l10n teams.
Comment 1 sophie 2015-02-26 15:50:11 UTC
Hi Martin, 
So I bring the topic to ESC, here are the plans:
l10n Update (Sophie)
    + some people unhappy about the templates - they are not localized
    + planned for 4.5 (Kendy)
        + cannot ship 100x each template, the plan is to have the template once, but strings separate (Kendy)
        + possible to use autocorrect mechanism + go through pootle (Miklos)
        + will sync with Miklos offline (Kendy)
Lets continue to discuss this on the l10n list, strings are not the only thing to handle when localizing templates :)
I set the bug on New and enhancement - Sophie
Comment 2 Yousuf Philips (jay) (retired) 2016-10-18 17:32:07 UTC
Hi Martin & Sophie,

Now that i'm currently working on updating the default templates for impress in bug 103317, i'd like to see what can be done about the localization issues at the same time.

From what i can see, impress templates are localized, as the temporary textbox texts like 'Click to add Title' and 'Click to add Text' are changed to the localized equivalents when the template is opened. The only thing that isnt localized seems to be the previews, as it shows up with localized text based on the locale of the user who last saved the template file. So i see a few options to deal with the preview.

1) Have the preview blank without text
2) Have a defined dummy text used for the title and context text (used in iWork)
3) Use the template's english name as the title text (used in MSO)
Comment 3 Martin Srebotnjak 2016-10-18 19:31:10 UTC
Hi,

using English, non-localized text is the worst thing.

I would suggest to use dummy text, if possible word "LibreOffice".

I am not sure about the script/font used to represent it (i.e. if in Chinese or Japanese latin letters are supposed to be represented).

Lp, m.
Comment 4 Yousuf Philips (jay) (retired) 2016-10-18 20:55:17 UTC
(In reply to miles from comment #3)
> Hi,

Hey,

> using English, non-localized text is the worst thing.
> 
> I would suggest to use dummy text, if possible word "LibreOffice".

So "LibreOffice" for the title and dummy latin text for the subtitle/context text?

> I am not sure about the script/font used to represent it (i.e. if in Chinese
> or Japanese latin letters are supposed to be represented).

It would use the font assigned in the template.
Comment 5 sophie 2016-10-19 13:11:44 UTC
+1 with Martin's comments and thanks a lot for your work Jay! If you want me to have a look at the templates set before embedding it, don't hesitate to poke me. Sophie
Comment 6 Yousuf Philips (jay) (retired) 2016-10-19 15:51:37 UTC
Created attachment 128073 [details]
sample thumbnails

So here are 6 variants of the thumbnail that would be used in the first template i'm working on. Let me know which you like and it will be used for all impress templates.
Comment 7 V Stuart Foote 2016-10-19 16:17:58 UTC
@Jay, *

I think the pure Lorem ipsum on the lower right is going to be best for a generic title and content. 

Also, for CJK and CTL script localizations don't we already provide a suitable replacement, e.g. on the Paragraph dialog -> Font tab?

And, sense it can be culturally sensitive if the defaults are objectionable--can we allow the localization team member to choose a more appropriate generic string for the locale?
Comment 8 V Stuart Foote 2016-10-19 16:24:54 UTC
(In reply to V Stuart Foote from comment #7)
> 
> Also, for CJK and CTL script localizations don't we already provide a
> suitable replacement, e.g. on the Paragraph dialog -> Font tab?
> 

Here I think...

http://opengrok.libreoffice.org/xref/core/svtools/source/misc/sampletext.cxx#219
Comment 9 Yousuf Philips (jay) (retired) 2016-10-19 17:51:56 UTC
(In reply to V Stuart Foote from comment #7)
> I think the pure Lorem ipsum on the lower right is going to be best for a
> generic title and content. 

The actual template wont be having this text, its only the preview of the template that will be modified.

> Also, for CJK and CTL script localizations don't we already provide a
> suitable replacement, e.g. on the Paragraph dialog -> Font tab?

As the preview is an image, there is no means to localize. If a preview suitable for CJK and CTL is needed, then we'll have to ship multiple versions of the template, which would be a waste of space in my view.
Comment 10 Martin Srebotnjak 2017-04-20 14:57:21 UTC
I am not sure if this applies to current templates in the Template Manager or should I open a new bug report?
The 5.3 templates in Template Manager are titled and displayed in English.
Comment 11 Yousuf Philips (jay) (retired) 2017-12-02 07:59:44 UTC
Laurent has done the localization of templates in bug 107027 and bug 103317, so are there anything else remaining that need to be addressed in master?
Comment 12 Laurent BP 2017-12-02 10:12:04 UTC
(In reply to Yousuf Philips (jay) from comment #11)
> Laurent has done the localization of templates in bug 107027 and bug 103317,
> so are there anything else remaining that need to be addressed in master?

Actually, I only work on Impress templates. Writer templates need specific l10n work.
Comment 13 Martin Srebotnjak 2017-12-08 15:48:20 UTC
Actually the strings/names for all Impress templates are still not there to be localized in 60b2, just for a few.

Also, one string that is present is not displayed when localized: eEtJB
It is "Lush Green" in pot file, it is localized as "Izrazita zelena" in Slovenian, but it displays as "LushGreen" in UI (all referring to 60b2).
Comment 14 Laurent BP 2017-12-08 23:11:49 UTC
(In reply to Martin Srebotnjak from comment #13)
> Actually the strings/names for all Impress templates are still not there to
> be localized in 60b2, just for a few.
> 
> Also, one string that is present is not displayed when localized: eEtJB
> It is "Lush Green" in pot file, it is localized as "Izrazita zelena" in
> Slovenian, but it displays as "LushGreen" in UI (all referring to 60b2).

I modified only content of templates to remove all l10n information. 
The string eEtJB and followers are missing for new templates and should be added here:
https://opengrok.libreoffice.org/xref/core/sfx2/inc/strings.hxx#16
https://opengrok.libreoffice.org/xref/core/include/sfx2/strings.hrc#268
https://opengrok.libreoffice.org/xref/core/sfx2/source/doc/doctempl.cxx#475
https://opengrok.libreoffice.org/xref/core/sfx2/source/doc/doctempl.cxx#487
These names are localized in Impress for the Master layout in the sidebar. What you request is to translate the name of template files?
Comment 16 Martin Srebotnjak 2017-12-09 08:06:27 UTC
(In reply to Laurent BP from comment #14)
> These names are localized in Impress for the Master layout in the sidebar.
> What you request is to translate the name of template files?

No, I ask to make localizable all template names as displayed in the template selection dialog (when 

This must be done for templates for presentations and for documents. Also document template names are too long and get cropped when displayed on macOS, but that should probably be another bug report (but can be seen in a screenshot I will attach).

See the attached screenshots. The problematic eEtJB is highlighted with two ovals on the presentations screenshot.
Comment 17 Martin Srebotnjak 2017-12-09 08:07:07 UTC
Created attachment 138325 [details]
Template names, not all localizable, one with error
Comment 18 Martin Srebotnjak 2017-12-09 08:07:51 UTC
Created attachment 138326 [details]
Text document templates' names, none localizable
Comment 19 Yousuf Philips (jay) (retired) 2017-12-09 13:19:08 UTC
(In reply to Martin Srebotnjak from comment #13)
> Actually the strings/names for all Impress templates are still not there to
> be localized in 60b2, just for a few.

This is being handled in bug 114088.

> Also, one string that is present is not displayed when localized: eEtJB
> It is "Lush Green" in pot file, it is localized as "Izrazita zelena" in
> Slovenian, but it displays as "LushGreen" in UI (all referring to 60b2).

This is being resolved in this patch - https://gerrit.libreoffice.org/#/c/46122/
Comment 20 Commit Notification 2017-12-22 23:05:36 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39d1022967297524b852b5c82e78d815cf908b3d

tdf#103317 tdf#89676 clean-up Impress templates

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2017-12-23 17:58:06 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a03c7e7a2253f8a9452aacc0691ec69176a4418&h=libreoffice-6-0

tdf#103317 tdf#89676 clean-up Impress templates

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Gabor Kelemen 2017-12-27 10:07:34 UTC
Created attachment 138677 [details]
Template names in KeyID locale

This is how it looks now after the commit in comment #20
I think it's good enough to close this.

We might do something about the mediawiki one, I'd say hide it from this window completely - but that's for another bug.
Comment 23 Laurent BP 2017-12-27 10:37:09 UTC
(In reply to Gabor Kelemen from comment #22)
> Created attachment 138677 [details]
> Template names in KeyID locale
> 
> This is how it looks now after the commit in comment #20
> I think it's good enough to close this.
Yes. We still need to push last commits in 6.0 branch. Pending commits:
https://gerrit.libreoffice.org/47007/
https://gerrit.libreoffice.org/47008/
Comment 24 Martin Srebotnjak 2017-12-27 11:34:05 UTC
This bug report is not only about the shown template titles in template dialog, but also about their content.
The content of the Writer templates is in English and that is not localizable.
Also, as you already mentioned, the wiki template does not have a localizable title in template selector yet.
If the latter is fixed, maybe another bug just with the English content of Writer templates can be opened, but this bug cannot be closed as such yet.
Comment 25 Yousuf Philips (jay) (retired) 2017-12-27 20:41:38 UTC
(In reply to Martin Srebotnjak from comment #24)
> The content of the Writer templates is in English and that is not
> localizable.

Both templates have lorem ipsum text in them except for 'Dear', 'We are looking forward to hearing from you soon.' and 'Yours sincerely,', so how did you want to deal with these 3 items?
Comment 26 Martin Srebotnjak 2017-12-27 22:33:19 UTC
I do not know, how you will deal with these items, but these templates must be in the language of the installed language version.
So either create proper templates at the time of building the installation sets or make these templates part of the langpacks.
Actually, in Europe we would need other resume/cv templates, these here are an English one and an American one, but in Europe Europass is used for all EU institutions and more or less for many public administration jobs/purposes.

EU even has an online service for creating such documents, but that is automated in a way that gives you no freedom to form the document:
https://europass.cedefop.europa.eu/sl/documents/curriculum-vitae/examples
(select your language version in the upper right corner, this one is in Slovenian, but still you see examples of Europass for all EU official languages).

But to go back to your question - templates and their content must be localized, localizable. How can we do it? It is a question for developers.
Comment 27 Commit Notification 2017-12-28 20:54:51 UTC
Laurent BP committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4e2d22bc92d85aa7b3b490c295f3f9d969d6fe33

follow-up tdf#89676 Add some explanation in comment

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Yousuf Philips (jay) (retired) 2017-12-29 09:22:34 UTC
(In reply to Martin Srebotnjak from comment #26)
> So either create proper templates at the time of building the installation
> sets or make these templates part of the langpacks.

We'd have to check with a dev to see which of these are possible.

> Actually, in Europe we would need other resume/cv templates, these here are
> an English one and an American one, but in Europe Europass is used for all
> EU institutions and more or less for many public administration
> jobs/purposes.

Please create the templates and submit them for inclusion.
Comment 29 sophie 2018-01-02 15:55:07 UTC
(In reply to Yousuf Philips (jay) from comment #28)
> (In reply to Martin Srebotnjak from comment #26)
> > So either create proper templates at the time of building the installation
> > sets or make these templates part of the langpacks.
> 
> We'd have to check with a dev to see which of these are possible.

As I told you on Telegram, by the past, that was possible for some languages, where there were one package of i18n templates per language. The problem for templates is not only about strings but also about page formats or currencies.
Sophie
Comment 30 Harald Koester 2018-01-29 13:08:18 UTC
I checked the Impress templates with a German user interface:

(a) In template "Blaupausen Pflanzen" (Engl.: Blueprint Plans) on the 3. slide there is a license information which is still in Englisch.
(b) The same with template Traditioniell (Engl.: Vintage) on the 5. slide.
(c) In template Fortschritt (Engl.: Progress) on the first slide the German prompt to add the title needs 2 lines and covers my personal name a little bit.
(d) In template Sonnenuntergang (Engl.: Sunset) the prompt to add the title needs 3 lines and therefore is not displayed completely.

From my point of view all other Impress templates are OK.
Comment 31 Laurent BP 2018-01-29 18:34:35 UTC
Hi Harald,
Thanks for your review.
(In reply to Harald Koester from comment #30)
> I checked the Impress templates with a German user interface:
> 
> (a) In template "Blaupausen Pflanzen" (Engl.: Blueprint Plans) on the 3.
> slide there is a license information which is still in Englisch.
It is the same problem as with Writer templates: these texts cannot be translated. The only way would be to have one set of localized templates per language (as it was in OOo)
> (b) The same with template Traditioniell (Engl.: Vintage) on the 5. slide.
> (c) In template Fortschritt (Engl.: Progress) on the first slide the German
> prompt to add the title needs 2 lines and covers my personal name a little
> bit.
> (d) In template Sonnenuntergang (Engl.: Sunset) the prompt to add the title
> needs 3 lines and therefore is not displayed completely.
I don't think it is a problem as the prompt will disappear when user will enter text.

> From my point of view all other Impress templates are OK.
Thanks.